type: google.api.Service
config_version: 3
name: connectgateway.googleapis.com
title: Connect Gateway API

apis:
- name: google.cloud.gkeconnect.gateway.v1beta1.GatewayService

documentation:
  summary: |-
    The Connect Gateway service allows connectivity from external parties to
    connected Kubernetes clusters.

backend:
  rules:
  - selector: 'google.cloud.gkeconnect.gateway.v1beta1.GatewayService.*'
    deadline: 300.0

authentication:
  rules:
  - selector: 'google.cloud.gkeconnect.gateway.v1beta1.GatewayService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
